| Nano100AN Series BSP V3.02.002 The Board Support Package for Nano100AN Series

Data Fields
EBI_T Struct Reference

`#include <Nano100Series.h>`

## Data Fields
__IO uint32_t | EBICON
__IO uint32_t | EXTIME

## Detailed Description

    @addtogroup EBI External Bus Interface Controller(EBI)
    Memory Mapped Structure for EBI Controller

Definition at line 2033 of file Nano100Series.h.

## Field Documentation

## ◆ EBICON

__IO uint32_t EBI_T::EBICON

# EBICON

## Offset: 0x00 External Bus Interface General Control Register

Bits | Field | Descriptions
--- | --- | ---
[0] | ExtEN | EBI Enable
|  | This bit is the functional enable bit for EBI.
|  | 0 = EBI function is disabled.
|  | 1 = EBI function is enabled.
[1] | ExtBW16 | EBI Data Width 16-Bit
|  | This bit defines if the data bus is 8-bit or 16-bit.
|  | 0 = EBI data width is 8-bit.
|  | 1 = EBI data width is 16-bit.
[10:8] | MCLKDIV | External Output Clock Divider
|  | The frequency of EBI output clock is controlled by MCLKDIV as shown in the following table.
|  | 000 = HCLK/1.
|  | 001 = HCLK/2.
|  | 010 = HCLK/4.
|  | 011 = HCLK/8.
|  | 100 = HCLK/16.
|  | 101 = HCLK/32.
|  | 110 = Default.
|  | 111 = Default.
|  | Notice: Default value of output clock is HCLK/1
[11] | MCLKEN | External Clock Enable
|  | This bit control if EBI generates the clock to external device.
|  | If external device is a synchronous device, it's necessary to set this bit high to enable EBI generating clock to external device.
|  | If external device is an asynchronous device, keep this bit low is recommended to save power consumption.
|  | 0 = Disabled EBI to generate clock to external device.
|  | 1 = Enabled EBI to generate clock to external device.
[18:16] | ExttALE | Expand Time Of ALE
|  | The ALE width (tALE) to latch the address can be controlled by ExttALE.
|  | tALE = (ExttALE+1)*MCLK.

Definition at line 2073 of file Nano100Series.h.

## ◆ EXTIME

__IO uint32_t EBI_T::EXTIME

# EXTIME

## Offset: 0x04 External Bus Interface Timing Control Register

Bits | Field | Descriptions
--- | --- | ---
[4:0] | ExttACC | EBI Data Access Time
|  | ExttACC define data access time (tACC).
|  | tACC = (ExttACC +1) * MCLK.
[10:8] | ExttAHD | EBI Data Access Hold Time
|  | ExttAHD define data access hold time (tAHD).
|  | tAHD = (ExttAHD +1) * MCLK.
[15:12] | ExtIW2X | Idle State Cycle After Write
|  | When write action is finish, idle state is inserted and nCS return to high if ExtIW2X is not zero.
|  | Idle state cycle = (ExtIW2X*MCLK).
[19:16] | ExtIR2W | Idle State Cycle Between Read-Write
|  | When read action is finish and next action is going to write, idle state is inserted and nCS return to high if ExtIR2W is not zero.
|  | Idle state cycle = (ExtIR2W*MCLK).
[27:24] | ExtIR2R | Idle State Cycle Between Read-Read
|  | When read action is finish and next action is going to read, idle state is inserted and nCS return to high if ExtIR2R is not zero.
|  | Idle state cycle = (ExtIR2R*MCLK).

Definition at line 2098 of file Nano100Series.h.

The documentation for this struct was generated from the following file:

- C:/Users/yachen/workzone/bsp/nano100absp/Library/Device/Nuvoton/Nano100Series/Include/Nano100Series.h